Name:           doclifter
Version:        2.13
Release:        2%{?dist}
Summary:        Translates documents written in troff macros to DocBook

License:        BSD
URL:            http://www.catb.org/~esr/doclifter/
Source0:        http://www.catb.org/~esr/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}.patch

BuildArch:      noarch
BuildRequires:  python2

%description
The doclifter program translates documents written in troff macros to DocBook.

Lifting documents from presentation level to semantic level is hard, and
a really good job requires human polishing.  This tool aims to do everything
that can be mechanized, and to preserve any troff-level information that might
have structural implications in XML comments.

This tool does the hard parts.  TBL tables are translated into DocBook
table markup, PIC into SVG, and EQN into MathML (relying on pic2svg
and GNU eqn for the last two).

%prep
%setup -q
%patch0


%build
# Nothing to build


%install
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}
mkdir -p "$RPM_BUILD_ROOT"%{_mandir}/man1/
cp doclifter manlifter "$RPM_BUILD_ROOT"%{_bindir}
cp doclifter.1 manlifter.1 "$RPM_BUILD_ROOT"%{_mandir}/man1/

%check
make check


%files
%doc COPYING README TODO
%{_bindir}/*
%{_mandir}/man1/*.1.*


%changelog
* Mon Nov 04 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.13-2
- Patch for fixing the shebangs to python2

* Sun Nov 3 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.13-1
- Initial package